petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPResetFromOptions

Sets various KSP parameters from user options ONLY if the KSP was previously set from options

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPResetFromOptions(KSP ksp)

Collective on KSP

### Input Parameter

ksp -the KSP context

### Keywords

KSP, linear, set, options, database

### See Also

KSPSetFromOptions(), KSPSetOptionsPrefix()

### Level

beginner

### Location

src/ksp/ksp/interface/itcl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages